Subject: Re: Bug? diff.submodule=log adds text to commit -v message

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Nov 2013 12:04:16 -0800

Jens Lehmann <[email-masked]> writes:

>> If we were introducing a divider line for machine consumption, I do
>> not think it is wise to let that line even translated...
>
> Ok, but then it won't mean much to readers who don't understand
> English. I assume prefixing all diff lines with "# " is out of
> the question because of backwards compatibility, so what about
> using a descriptive text together with a scissor line? The former
> can be be translated (and won't make it into the commit message
> because it starts with a "#") while the latter serves as a robust
> divider line:
>
> # Everything below the following line is a diff that will be removed.
> # --------------------------------8<--------------------------------

Yeah, or swap them around if you are trying to protect the part
above the divider from getting contaminated by the noise.